Render
const url = 'https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/renders';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"email_design_system_id":1,"brand_profile_id":1,"locale":"en-US","email_content":{"subject":{"conditional_id":1,"branch_content":{"additionalProperty":{"additionalProperty":"My Email Subject in a Specific Locale"}}},"preheader":{"conditional_id":1,"branch_content":{"additionalProperty":{"additionalProperty":"My Email Preheader in a Specific Locale"}}},"container_component_instance":{"id":"bd1c1b82-1a7b-4f0f-b079-30c1d4189bed","name":"My Component","component_name":"Headline","conditional_id":1,"field_values":{"additionalProperty":{"additionalProperty":{"additionalProperty":{"value":"example","link_tracking_parameters":{"additionalProperty":"example"}}}}},"hidden_from_locales":{"additionalProperty":true},"link_tracking_parameters":{"branch_content":{"additionalProperty":{"additionalProperty":{"additionalProperty":"example"}}}}},"component_instances":[{"id":"bd1c1b82-1a7b-4f0f-b079-30c1d4189bed","name":"My Component","component_name":"Headline","conditional_id":1,"field_values":{"additionalProperty":{"additionalProperty":{"additionalProperty":{"value":"example","link_tracking_parameters":{"additionalProperty":"example"}}}}},"hidden_from_locales":{"additionalProperty":true},"link_tracking_parameters":{"branch_content":{"additionalProperty":{"additionalProperty":{"additionalProperty":"example"}}}}}],"global_link_tracking_parameters":{"additionalProperty":"example"}}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/renders \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "email_design_system_id": 1, "brand_profile_id": 1, "locale": "en-US", "email_content": { "subject": { "conditional_id": 1, "branch_content": { "additionalProperty": { "additionalProperty": "My Email Subject in a Specific Locale" } } }, "preheader": { "conditional_id": 1, "branch_content": { "additionalProperty": { "additionalProperty": "My Email Preheader in a Specific Locale" } } }, "container_component_instance": { "id": "bd1c1b82-1a7b-4f0f-b079-30c1d4189bed", "name": "My Component", "component_name": "Headline", "conditional_id": 1, "field_values": { "additionalProperty": { "additionalProperty": { "additionalProperty": { "value": "example", "link_tracking_parameters": { "additionalProperty": "example" } } } } }, "hidden_from_locales": { "additionalProperty": true }, "link_tracking_parameters": { "branch_content": { "additionalProperty": { "additionalProperty": { "additionalProperty": "example" } } } } }, "component_instances": [ { "id": "bd1c1b82-1a7b-4f0f-b079-30c1d4189bed", "name": "My Component", "component_name": "Headline", "conditional_id": 1, "field_values": { "additionalProperty": { "additionalProperty": { "additionalProperty": { "value": "example", "link_tracking_parameters": { "additionalProperty": "example" } } } } }, "hidden_from_locales": { "additionalProperty": true }, "link_tracking_parameters": { "branch_content": { "additionalProperty": { "additionalProperty": { "additionalProperty": "example" } } } } } ], "global_link_tracking_parameters": { "additionalProperty": "example" } } }'Renders the selected components of an email design system
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Workspace ID
Request Body
Section titled “Request Body”object
ID of the email design system
ID of the brand profile
Locale to render.
Example
en-USobject
object
The ID of the conditional applied to this content. When set, the content has a separate variant for each branch of the conditional.
Content organized by branch key, then by locale code.
object
Localized email subject, keyed by BCP47 locale
object
Example
My Email Subject in a Specific Localeobject
The ID of the conditional applied to this content. When set, the content has a separate variant for each branch of the conditional.
Content organized by branch key, then by locale code.
object
Localized email preheader, keyed by BCP47 locale
object
Example
My Email Preheader in a Specific Localeobject
Example
bd1c1b82-1a7b-4f0f-b079-30c1d4189bedExample
My ComponentThe name of the component definition this instance is based on.
Example
HeadlineThe ID of the conditional applied to this component instance. When set, the component renders a separate variant for each branch of the conditional.
Example
1Field values organized by branch key.
object
Field values organized by locale code.
A map of locale codes to boolean values indicating whether this component instance is hidden for that locale.
object
Example
trueobject
Per-component-instance link tracking parameter values, organized by branch key, then by locale code.
object
object
A map of link tracking parameter names to their values for this component instance.
object
object
Example
bd1c1b82-1a7b-4f0f-b079-30c1d4189bedExample
My ComponentThe name of the component definition this instance is based on.
Example
HeadlineThe ID of the conditional applied to this component instance. When set, the component renders a separate variant for each branch of the conditional.
Example
1Field values organized by branch key.
object
Field values organized by locale code.
A map of locale codes to boolean values indicating whether this component instance is hidden for that locale.
object
Example
trueobject
Per-component-instance link tracking parameter values, organized by branch key, then by locale code.
object
object
A map of link tracking parameter names to their values for this component instance.
object
A map of link tracking parameter names to their values for this component instance.
object
Responses
Section titled “Responses”Successful
object
The rendered HTML of the email
The rendered subject line of the email
The rendered preheader text of the email
Example
{ "html": "<html><body><h1>Hello, world!</h1></body></html>", "subject": "Hello, world!", "preheader": "Hello, world!"}Unauthorized
object
Example
{ "message": "Record not found"}Forbidden
object
Example
{ "message": "Record not found"}Not Found
object
Example
{ "message": "Record not found"}Unprocessable Entity
object
object
Example
{ "errors": { "username": [ "Username is required.", "Username must be unique." ], "email": [ "Invalid email format." ] }}